> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a notification

> Returns one notification for the current user and business, including its content, read state, delivery context, and relevant account activity.



## OpenAPI

````yaml /openapi.json get /notifications/{id}
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /notifications/{id}:
    get:
      tags:
        - Notifications
      summary: Get a notification
      description: >-
        Returns one notification for the current user and business, including
        its content, read state, delivery context, and relevant account
        activity.
      operationId: Notifications_GetForCurrentUser
      parameters:
        - name: id
          in: path
          description: The notification ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/NotificationResponse'
                description: >-
                  API DTO containing notification data used by Leadping API
                  contracts.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    NotificationResponse:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/NotificationType'
          description: The type classification for this notification.
        priority:
          allOf:
            - $ref: '#/components/schemas/NotificationPriority'
          description: The priority value for this notification.
        userId:
          type: string
          description: The user ID associated with this notification.
        message:
          type: string
          description: The message value for this notification.
        details:
          type: string
          description: The details value for this notification.
          nullable: true
        readAt:
          type: string
          description: The date and time for the read at value on this notification.
          format: date-time
          nullable: true
        isRead:
          type: boolean
          description: Whether this notification is read.
        actionUrl:
          type: string
          description: The URL associated with this notification.
          nullable: true
        actionButtonText:
          type: string
          description: The action button text value for this notification.
          nullable: true
        relatedEntityId:
          type: string
          description: The related entity ID associated with this notification.
          nullable: true
        relatedEntityType:
          type: string
          description: The related entity type classification for this notification.
          nullable: true
        name:
          type: string
          description: The display name for the entity.
        id:
          type: string
          description: The unique identifier for the entity.
        createdAt:
          type: string
          description: The date and time when the entity was created.
          format: date-time
        modifiedAt:
          type: string
          description: The date and time when the entity was last modified, if applicable.
          format: date-time
          nullable: true
      description: API DTO containing notification data used by Leadping API contracts.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    NotificationType:
      enum:
        - General
        - Lead
        - Call
        - Sms
        - Billing
        - System
        - Success
        - Warning
        - Error
        - Info
        - Announcement
        - Activation
      type: string
      description: Defines the supported Notification Type values.
    NotificationPriority:
      enum:
        - Low
        - Medium
        - High
        - Critical
      type: string
      description: Defines the supported Notification Priority values.

````